Democratizing AI: Non-expert design of prediction tasks
======================================================

James P. Bagrow<br>
Last modified: 2019-08-10

This README describes the data release for the above project. There are three
CSV files associated with all three phases of the main experiment and two csv
files associated with the task design randomized trial experiment. For privacy
reasons, the files do not contain any information about workers.

The CSV files are mostly self-explanatory. Each file has a header row labeling
the fields. The `problem` field serves as a unique ID to link across files for
a given experiment.


## The variables:

Categorical and Likert-scale variables and represented with integers. The
problem category is encoded as follows:

1. Health/wellness
2. Demographic/personal
3. Politics/current events
4. Factual
5. Other
6. Unsure

Likewise, Likert-scale variables are encoded:

1. "Strongly disagree"
2. "Disagree"
3. "Neutral"
4. "Agree"
5. "Strongly agree"


## The files:

`datasets.csv` - the generated data ($X,y$) for the 15 selected problems that
went to data collection.

`problems.csv` - the text and question types of the 50 generated problems
(prediction tasks) made by workers during phase 1. Each problem has also been
annotated with the importance and learnability scores computed using the rating
phase data.

`ratings.csv` - the problem rating and categorization data for proposed
problems. Each row contains ratings for two problems (the left and the right
problem) that workers were supposed to rate and rank.

`README.md` - this file.

`taskdesignrct_problems.csv` - as per `problems.csv` but for the 90 problems
generated across all three arms of the randomized trial.  Problems are
annotated with their arm.

`taskdesignrct_ratings.csv` - as per `ratings.csv` but for the randomized trial
problems. Each row only contains one problem.
